STATCVS(1)

NAME
statcvs - CVS Repository statistic analysis tool, written in Java

SYNOPSIS

cvs log > cvs-logfile.log

statcvs [ options ] path/to/cvs-logfile.log path/to/checkout

DESCRIPTION
This manual page documents briefly the statcvs command. This manual page was written for the Debian distribution because the original program does not have a manual page.

statcvs is a program that retrieves information from a CVS repository and generates various tables and charts describing the project development, e.g. timeline for the lines of code, contribution of each developer etc.
The current version of StatCvs generates a static suite of HTML documents containing tables and chart images. StatCvs is opens source software, released under the terms oft the LGPL.
StatCvs uses JFreeChart to generate charts.

cvs-logfile.log
    path to the cvs logfile of the module. Important note: statcvs will fail if the log file was not produced with cvs from within the checkout. It however does not matter if the file is not in the directory you're running statcvs from.

path/to/checkout
    path to the directory of the checked out module

OPTIONS
These programs follow the usual command line syntax, with long options starting with one dashe ("-"). A list of options is included below. For a complete description, run the program without parameters

-version
    print the version information and exit

-output-dir <dir>
    directory where HTML suite will be saved

-include <pattern>
    include only files matching pattern, e.g. **/*.c;**/*.h

-exclude <pattern>
    exclude matching files, e.g. tests/**;docs/**

-title <title>
    Project title to be used in reports

-viewcvs <url>
    integrate with ViewCVS installation at <url>

-verbose
    print extra progress information

JAVA-WRAPPERS NOTE

This program is a shell script wrapper based on java-wrappers(7). You therefore benefit from several features; please see the java-wrappers(7) manual page.

SEE ALSO

cvs(1) and java-wrappers(7)

AUTHOR
This manual page was written by Christian Bayle <bayle@debian.org>, for the Debian project (but may be used by others).